
QGIS Application - Bug report #8347

moving label and rotating label tools don't work if filename of the layer includes non-ascii characters

2013-07-22 11:58 PM - Minoru Akagi

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17131

Description

This issue was reported to Japanese ML (http://osgeo-org.1560.x6.nabble.com/QGIS2-0-shapefile-tt5068016.html). The moving label

and rotating label tools work with a shapefile layer if the filename consists of ascii characters, but don't work if the filename includes

non-ascii characters.

Associated revisions

Revision c7ca40a8 - 2013-07-23 08:59 AM - Minoru Akagi

fix an encoding issue of QgsPalLabeling (fix #8347)

Revision 49923ddc - 2013-07-23 09:49 AM - Jürgen Fischer

Merge pull request #761 from minorua/label_enc

fix an encoding issue of QgsPalLabeling (fix #8347)

History

#1 - 2013-07-23 12:03 AM - Minoru Akagi

pull request to fix this issue: https://github.com/qgis/Quantum-GIS/pull/761

#2 - 2013-07-23 12:50 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"49923ddcfb8a65f8ccc9eeb415f97e02b8dc4388".
